Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../chunk-BN4qSVkS.cjs");
const require_components_Icon_Icon = require("./Icon/Icon.cjs");
const require_utils_toReactNodes_toReactNodes = require("../utils/toReactNodes/toReactNodes.cjs");
const require_components_Tooltip = require("./Tooltip.cjs");
let react = require("react");
let _emotion_react_jsx_runtime = require("@emotion/react/jsx-runtime");
//#region src/components/InfoIconTooltip.tsx
function InfoIconTooltip({ id, content, verticalAlign = "middle" }) {
	const contentNodes = require_utils_toReactNodes_toReactNodes.toReactNodes(content);
	return /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsxs)(react.Fragment, { children: [/* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)("div", {
		"data-tooltip-id": id,
		style: {
			display: "inline-flex",
			alignItems: "center",
			verticalAlign
		},
		children: /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)(require_components_Icon_Icon.Icon, {
			name: "Info",
			width: 12,
			ml: 4
		})
	}), /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)(require_components_Tooltip.Tooltip, {
		id,
		render: () => contentNodes,
		clickable: true
	})] });
}
//#endregion
exports.InfoIconTooltip = InfoIconTooltip;
